/// <reference types="cypress" />
// ***********************************************************
// This example plugins/index.js can be used to load plugins
//
// You can change the location of this file or turn off loading
// the plugins file with the 'pluginsFile' configuration option.
//
// You can read more here:
// https://on.cypress.io/plugins-guide
// ***********************************************************

const { startDevServer } = require('@cypress/webpack-dev-server')
const webpackConfig = require('@vue/cli-service/webpack.config.js')

// This function is called when a project is opened or re-opened (e.g. due to
// the project's config changing)

const wp = require("@cypress/webpack-preprocessor");

/**
 * @type {Cypress.PluginConfig}
 */
module.exports = (on, config) => {
  // `on` is used to hook into various events Cypress emits
  // `config` is the resolved Cypress config
  require('@cypress/code-coverage/task')(on, config)
  on('file:preprocessor', require('@cypress/code-coverage/use-babelrc'))
  const options = {
    webpackConfig
  }
  on("file:preprocessor", wp(options))
  // conigure vue component testing
  // ref: https://www.cypress.io/blog/2021/04/06/getting-start-with-cypress-component-testing-vue-2-3/
  on('dev-server:start', options =>
    startDevServer({
      options,
      webpackConfig
    }))

  // IMPORTANT to return the config object
  // with any changed environment variables
  return config
}
